Bug 1856353 - OperatorHub screen showing wrong version of the operator when older version is installed
Summary: OperatorHub screen showing wrong version of the operator when older version i...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Jon Jackson
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-13 12:59 UTC by Paul Weil
Modified: 2020-09-04 13:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Currently installed version was not shown in operator details pane on OperatorHub Consequence: User could not tell if currently installed version was latest. Fix: When currently installed operator version is not latest, show the installed version in the operator details pane on OperatorHub. Result: User can see when the installed operator version is not latest.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6401 None closed Bug 1856353: Include installed version in operator hub item details 2020-09-01 13:27:20 UTC

Description Paul Weil 2020-07-13 12:59:40 UTC
The OperatorHub page in the web console is displaying wrong version of my operator if I have installed a previous version of the operator and not the latest.

I installed Knative Serving Operator (0.5.2) in order to perform a rolling upgrade later, but the OperatorHub page at this point already shows the latest available version from the CatalogSource even though it is not installed yet, my steps to reproduce look like this: (and that is the only way I was able to install the previous version and not the latest one from the catalog source):

1) Install CatalogSource from release-v0.6.0 branch of openshift/knative-serving
2) Create knative-serving namespace
3) Install OperatorGroup
4) Install Subscription with:
        installPlanApproval: Manual
        startingCSV: knative-serving-operator.v0.5.2
5) Edit InstallPlan for knative-serving-operator.v0.5.2 and change approved: false -> approved: true (at this point the operator for 0.5.2 is installed)
      (right now the OperatorHub in web console incorrectly displays that 0.6.0 is installed) 
Attaching a screenshot of OperatorHub after installing 0.5.2 version of my operator. And also a picture of the actual operator that is currently installed.

 
See https://issues.redhat.com/browse/CONSOLE-1616 for screenshots

Comment 1 Jon Jackson 2020-07-31 19:47:13 UTC
Will address next sprint.

Comment 2 Jon Jackson 2020-08-21 19:34:36 UTC
Fix in progress, should have a PR up soon.

Comment 5 Yanping Zhang 2020-09-04 13:55:27 UTC
Checked on ocp 4.6 with payload 4.6.0-0.nightly-2020-09-03-191144.
The latest csv version is v2.0.2, but set currentCSV as v2.0.0
#cat couchbase.package.yaml
packageName: couchbase-enterprise
channels:
- name: original
  currentCSV: couchbase-operator.v1.0.0
- name: stable
  currentCSV: couchbase-operator.v2.0.0
defaultChannel: "stable"

Install the couchbase operator, check subscription:
spec:
  channel: stable
  installPlanApproval: Manual
  name: couchbase-enterprise
  source: custom-console-catalogsource-yanpzhan
  sourceNamespace: openshift-marketplace
  startingCSV: couchbase-operator.v2.0.0

On the installed operators page, for couchbase operator, it shows version v2.0.0.


Note You need to log in before you can comment on or make changes to this bug.